GET
/
webhooks
/
{id}
Retrieve webhook
curl --request GET \
  --url https://api.generect.com/api/v1/webhooks/{id}/ \
  --header 'Authorization: <api-key>'
{
  "id": "<string>",
  "url": "<string>",
  "events": [
    "<string>"
  ],
  "secret": "<string>",
  "is_active": true,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Use Case:

Retrieve a single registered webhook endpoint by id.

Authorizations

Authorization
string
header
required

Use the required Token prefix. Example: Authorization: Token xxxxxxxxx

Path Parameters

id
string
required

Response

Webhook

id
string

Webhook identifier.

url
string

Your HTTPS endpoint that receives events.

events
string[]

Subscribed event types.

secret
string

Secret used for HMAC signature verification.

is_active
boolean
created_at
string<date-time>
updated_at
string<date-time>